@import url('https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@font-face {
  font-family: Sansation;
  src: url(fonts/Sansation.ttf);
}
@font-face {
  font-family: MCBlox;
  src: url(fonts/MCBlox.ttf);
}
@font-face {
  font-family: MCReg;
  src: url(fonts/MCReg.otf);
}
@font-face {
  font-family: MCBold;
  src: url(fonts/MCBold.otf);
}
@font-face {
  font-family: MCTen;
  src: url(fonts/MCTen.ttf);
}

body {
  background-color: rgb(0, 0, 0);
  font-family: 'MCReg', 'MCTen', 'PT Sans', 'Roboto';
  color: rgb(209, 209, 209);
  background-image: radial-gradient(circle at bottom left, rgba(14, 116, 0, 0.212), transparent 80%),
                    radial-gradient(circle at top right, rgba(8, 71, 0, 0.363), transparent 90%);
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 100vh;
  font-weight: 50;
}

.serverinfo {
  padding-left: 10%;
  display: flex;
  justify-content: space-evenly;
  padding-top: 10vh;
}

h1 {
  font-size: 4.5rem;
  text-shadow: 0px 0px 30px rgba(39, 255, 11, 0.404);
  color: #6dac43;
  margin: 0;
  font-family: 'MCTen';
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .2s;
}

h2, h3 {
  text-shadow: #78d300 2px 2px 3px,#78d300 -2px -2px 3px,#78d300 2px -2px 3px,#78d300 -2px 2px 3px;
  text-emphasis:  blue;
  color: rgb(12, 12, 12);
}

h6 {
  font-size: 2.5rem;
  text-shadow: 0px 0px 30px rgba(39, 255, 11, 0.404);
  color: #6dac43;
  margin: 0;
  font-family: 'MCTen';
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .2s;
  margin-top: 3vh;
  margin-left: -1rem;
}

.ipinfo {
  display: flex;
  align-items: baseline;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .6s;
}

.ip {
  padding-top: 16vh;
}

.lowerbody {
  margin-left: 22vw;
  margin-right: 22vw;
  font-size: 1.2rem;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: 1s;
}

.resources {
  text-decoration: none;
  margin-left: 15vw;
  margin-right: 29vw;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: 1.2s;
}

@keyframes fadein {
  from {opacity: 0;}
  to {opacity: 1;}
}

/*\  V V    Small Device/Mobile support    V V  \*/

        @media (max-width: 1260px) {

h1 {
  font-size: 2rem;
}

.ip {
  padding-top: 1vh;
}

}

        @media (max-width: 1030px) {

h1 {
  font-size: 1.75rem;
  align-items: center;
}

.ip {
  font-size: 1rem;
  align-items: center;
  padding-top: 1rem;
}

.serverinfo {
  padding: 0 2vw;;
  top: 4.5vh;
  position: relative;
  text-align: center;
  align-items:baseline;
  display: inline;
}

.lowerbody {
  margin: 0 10vw ;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .5s;
}

} 

        @media (max-height: 500px) {

h1 {
  font-size: 4rem;
}

.ip {
  font-size: 1.5rem;
}

.serverinfo {
  position: relative;
  align-items:baseline;
} 

}



/*\ V V    Text game stuff    V V \*/

.box1, .box2, .box3, .box4, .box5, .box6 {
  display: none;
}

.butt1rep {
  display: none;
}

.button1 {
  display: inline;
  cursor: pointer;
}

.button2, .button3, .button4, .button5, .button6 {
  cursor: pointer;
  display: none;
}

.finaltext {
  display: none;
  color: red;
  transition: all 2s ease;
  animation: enlarge 2s forwards;
  text-align: center;
  font-weight: 900;
  font-size: 300%;
  align-self: center;
  transform: scaleY(1.2);
  font-family: 'roboto', 'mcreg';
}

.TextGame {
  display: flex;
  position: absolute;
  transform: scaleY(1.5);
  font-size: 17vw;
  z-index: -1;
  text-align: center;
  align-items: center;
}

.TG1, .TG2, .TG3, .TG4, .TG5 {
  display: none;
  color: #3b2d4b;
}

@keyframes enlarge {
  from {font-size: 0;}
  to {font-size: auto;}
}

@keyframes colorchange {
  from {color: #3b2d4b;}
  to {color: rgb(78, 0, 167);}
}


.box1:checked ~ .toggle1 .butt1rep {display: inline;}
.box1:checked ~ .toggle1 .button1 {display: none;}

.box1:checked ~ .toggle2 .button2 {display: inline;}
.box1:checked ~ .toggle2 .butt2rep {display: none;}

.box2:checked ~ .toggle2 .butt2rep {display: inline;}
.box2:checked ~ .toggle2 .button2 {display: none;}

.box2:checked ~ .toggle3 .button3 {display: inline;}
.box2:checked ~ .toggle3 .butt3rep {display: none;}

.box3:checked ~ .toggle3 .butt3rep {display: inline;}
.box3:checked ~ .toggle3 .button3 {display: none;}

.box3:checked ~ .toggle4 .button4 {display: inline;}
.box3:checked ~ .toggle4 .butt4rep {display: none;}

.box4:checked ~ .toggle4 .butt4rep {display: inline;}
.box4:checked ~ .toggle4 .button4 {display: none;}

.box4:checked ~ .toggle5 .button5 {display: inline;}
.box4:checked ~ .toggle5 .butt5rep {display: none;}

.box5:checked ~ .toggle5 .butt5rep {display: inline;}
.box5:checked ~ .toggle5 .button5 {display: none;}

.box5:checked ~ .finalbutton {display: inline;}
.box5:checked ~ .finaltext {display: block;}

.box1:checked ~ .TextGame .TG1 {display: block;}

.box2:checked ~ .TextGame .TG2 {display: block;}

.box3:checked ~ .TextGame .TG3 {display: block;}

.box4:checked ~ .TextGame .TG4 {display: block;}

.box5:checked ~ .TextGame .TG5 {display: block;}

.box5:checked ~ .TextGame .TG5 {animation: colorchange 3s forwards}
.box5:checked ~ .TextGame .TG4 {animation: colorchange 3s forwards}
.box5:checked ~ .TextGame .TG3 {animation: colorchange 3s forwards}
.box5:checked ~ .TextGame .TG2 {animation: colorchange 3s forwards}
.box5:checked ~ .TextGame .TG1 {animation: colorchange 3s forwards}


/*    Old version  Keeping just in case...

        @media (max-width: 1030px) {

.serverinfo {
  padding-left: 10%;
  display: inline;
  justify-content: space-evenly;
  padding-top: 1vh;
  max-width: 1030px;
}

h1 {
  font-size: 2rem;
  margin: 8vw;
  align-items: center;
  justify-content: center;
  display: flex;
  padding: 5vh 1vh 0vh 0vh;
}

.ip {
  display: flex;
  padding-top: 1vh;
  padding-bottom: 3vh;
  opacity: 0;
  align-items: center;
  justify-content: center;
  animation: fadein 2s forwards;
  animation-delay: .6s;
}

body {
  font-size: .75rem;
}

.info {
  font-size: .8rem;
}

}*/